# Uses of Class it.tdlight.jni.TdApi.InputBackground (TDLight API 4.0.476 API)
use: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: InputBackground

# Uses of Class
it.tdlight.jni.TdApi.InputBackground

## Uses of TdApi.InputBackground in it.tdlight.jni

Subclasses of TdApi.InputBackground in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.InputBackgroundLocal`
A background from a local file.
`static final class`
`TdApi.InputBackgroundPrevious`
A background previously set in the chat; for chat backgrounds only.
`static final class`
`TdApi.InputBackgroundRemote`
A background from the server.
Fields in it.tdlight.jni declared as TdApi.InputBackground
Modifier and Type
Field
Description
`TdApi.InputBackground`
TdApi.SetChatBackground.`background`
The input background to use; pass null to create a new filled or chat theme background.
`TdApi.InputBackground`
TdApi.SetDefaultBackground.`background`
The input background to use; pass null to create a new filled background.
Constructors in it.tdlight.jni with parameters of type TdApi.InputBackground
Modifier
Constructor
Description
``
`SetChatBackground(long chatId, TdApi.InputBackground background, TdApi.BackgroundType type, int darkThemeDimming, boolean onlyForSelf)`
Sets the background in a specific chat.
``
`SetDefaultBackground(TdApi.InputBackground background, TdApi.BackgroundType type, boolean forDarkTheme)`
Sets default background for chats; adds the background to the list of installed backgrounds.